Subject: Where to put a large bootloader-supplied device tree on ARM ?

From: [email-masked] (Mitch Bradley)
Date: Fri, 06 Jul 2012 14:24:56 -1000

I'm passing a flatted device tree from OLPC's bootloader (which
is a full Open Firmware implementation) to the kernel.  If I
put the FDT at the "traditional" address 0x100, bad things
happen when the DT is larger than 16K.  The FDT extends past
the 0x4000 boundary and gets overwritten by the early page tables
which are written at that address.

I have found various places in memory where I can place it
without it being overwritten, and things work, but that seems
dodgy and likely to break randomly.

Has there been any discussion about where large-ish FDT images
should be located?